package com.jz.common.utils;

import freemarker.core.ParseException;
import freemarker.template.MalformedTemplateNameException;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import freemarker.template.TemplateNotFoundException;
import org.springframework.web.servlet.view.freemarker.FreeMarkerConfig;

import java.io.IOException;
import java.io.StringWriter;
import java.util.Map;

/**
 * @ClassName: FreeMarkerUtils
 * @Description: freeMarkerUtils
 * @Author Bellamy
 * @Date 2021/3/3
 * @Version 1.0
 */
public class FreeMarkerUtils {

    /**
     * 使用freemaker模板生成 kafka connector 请求参数
     *
     * @param type      模板类型
     * @param dataModel 模板里定义的变量数据对象
     * @return
     * @author Bellamy
     */
    public static String freemakerJson(String type, Map<String, String> dataModel, FreeMarkerConfig freeMarkerConfig) {
        StringWriter stringWriter = new StringWriter();
        try {
            Template template = freeMarkerConfig.getConfiguration().getTemplate(type);
            if (template != null) {
                try {
                    template.process(dataModel, stringWriter);
                } catch (TemplateException e) {
                    e.printStackTrace();
                }
            }
        } catch (TemplateNotFoundException e) {
            e.printStackTrace();
        } catch (MalformedTemplateNameException e) {
            e.printStackTrace();
        } catch (ParseException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return stringWriter.toString();
    }
}
