package com.jz.dmp.modules.service;

import com.jz.dmp.modules.model.DvRuleT;

import java.util.List;

/**
 * ???(DvRuleT)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-24 10:56:17
 */
public interface DvRuleTService {

    /**
     * 通过ID查询单条数据
     *
     * @param ruleId 主键
     * @return 实例对象
     */
    DvRuleT queryById(Long ruleId);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DvRuleT> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dvRuleT 实例对象
     * @return 实例对象
     */
    DvRuleT insert(DvRuleT dvRuleT);

    /**
     * 修改数据
     *
     * @param dvRuleT 实例对象
     * @return 实例对象
     */
    DvRuleT update(DvRuleT dvRuleT);

    /**
     * 通过主键删除数据
     *
     * @param ruleId 主键
     * @return 是否成功
     */
    boolean deleteById(Long ruleId);

}